Search
 
SCRIPT & CODE EXAMPLE
 

PYTHON

line to curve dynamo revit

import clr
clr.AddReference('ProtoGeometry')
from Autodesk.DesignScript.Geometry import *

def CRV_to_LIN (crv):
	line = Line.ByStartPointEndPoint(crv.StartPoint, crv.EndPoint)
	return line 
	
Curves = IN[0]

OUT = [CRV_to_LIN(i) for i in Curves]
Comment

line to curve dynamo revit

import clr
clr.AddReference('ProtoGeometry')
import Autodesk.DesignScript.Geometry
a = IN[0]
if isinstance(a, list):
	a = a
else: a = [a]
e = []
for i in a:
	e.append(Autodesk.DesignScript.Geometry.Curve.Offset(i,0))
OUT = e
Comment

PREVIOUS NEXT
Code Example
Python :: how to convert 2 dimensional in 1 dimensional array 
Python :: get localapplication python 
Python :: fine tune huggingface model pytorch 
Python :: os.startfile on raspberry 
Python :: convert python code to c online free 
Python :: snipe cmd python.py 
Python :: how to loop through a list from the last element in python 
Python :: prime palindrome number in python 
Python :: python convert py to exe 
Python :: create a dictionary from dataframe 
Python :: python file browser 
Python :: vscode update imports python unresolved import 
Python :: python combine if statements 
Python :: read file bytes python 
Python :: render() django 
Python :: python sort array by key 
Python :: the range() function 
Python :: find distance between two points in python 
Python :: numpy square root 
Python :: how to add element to list value in a dict python 
Python :: python schema 
Python :: pd.explode 
Python :: get chrome version with python 
Python :: how to read mysql table in python 
Python :: python round 
Python :: sum of diagonal numpy 
Python :: tri python 
Python :: python run uvicorn 
Python :: python string to list without split 
Python :: python simplify fraction 
ADD CONTENT
Topic
Content
Source link
Name
7+4 =